Flake8 Run Error


#1

Whenever I type anything in a python file with flake8 installed, I get an error message in the dev console:

 [Linter] Error running Flake8 Error: 
c:\users\sysadmin\appdata\local\programs\python\python37\lib\site-packages\pycodestyle.py:113: 
FutureWarning: Possible nested set at position 1
      EXTRANEOUS_WHITESPACE_REGEX = re.compile(r'[[({] | []}),;:]')
        at ChildProcess.<anonymous> (C:\Users\SysAdmin\.atom\packages\linter-
eslint\node_modules\sb-exec\lib\index.js:56:20)
        at emitTwo (events.js:106:13)
        at ChildProcess.emit (events.js:191:7)
        at maybeClose (internal/child_process.js:885:16)
        at Socket.<anonymous> (internal/child_process.js:334:11)
        at emitOne (events.js:96:13)
        at Socket.emit (events.js:188:7)
        at Pipe._handle.close [as _onclose] (net.js:501:12)

#2

This sounds like a problem to ask someone with expertise in Flake8. Unfortunately, I don’t know where to find them.


#3

Oh. Could you maybe give me a person who might know where to find someone with expertise in Flake8? :wink:


#4

I’m getting the same. Any solution?